"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getWebpackMode = getWebpackMode;
exports.isDevelopmentMode = isDevelopmentMode;
exports.isNotProduction = isNotProduction;
exports.isProductionMode = isProductionMode;

function isProductionMode(mode) {
  return mode === 'prod' || mode === 'production';
}

function isDevelopmentMode(mode) {
  return mode === 'dev' || mode === 'development';
}

function getWebpackMode(options) {
  const {
    mode
  } = options;
  return isProductionMode(mode) ? 'production' : 'development';
}

function isNotProduction(options) {
  const {
    mode
  } = options;
  return isProductionMode(mode) === false;
}