"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.plugins = plugins;

var _configHtmlWebpackPlugin = require("./pluginConfigs/configHtmlWebpackPlugin");

var _configEnvVariables = require("./pluginConfigs/configEnvVariables");

var _configI18nSplitPlugin = require("./pluginConfigs/configI18nSplitPlugin");

var _configMiniCSSExtractPlugin = require("./pluginConfigs/configMiniCSSExtractPlugin");

var _configRtlCssPlugin = require("./pluginConfigs/configRtlCssPlugin");

var _configIgnorePlugin = require("./pluginConfigs/configIgnorePlugin");

var _configCdnChangePlugin = require("./pluginConfigs/configCdnChangePlugin");

var _configServiceWorkerPlugin = require("./pluginConfigs/configServiceWorkerPlugin");

var _configProgressPlugin = require("./pluginConfigs/configProgressPlugin");

var _configBundleAnalyzer = require("./pluginConfigs/configBundleAnalyzer");

var _configSelectorWeightPlugin = require("./pluginConfigs/configSelectorWeightPlugin");

var _configVariableConversionPlugin = require("./pluginConfigs/configVariableConversionPlugin");

var _configEFCTemplatePlugin = require("./pluginConfigs/configEFCTemplatePlugin");

var _configResourceHintsPlugin = require("./pluginConfigs/configResourceHintsPlugin");

var _configManifestJsonPlugin = require("./pluginConfigs/configManifestJsonPlugin");

var _configCopyPublicFolders = require("./pluginConfigs/configCopyPublicFolders");

var _configSourceMapPlugin = require("./pluginConfigs/configSourceMapPlugin");

// import { IgnorePlugin } from 'webpack';
function plugins(options) {
  const {
    webpackPlugins
  } = options;
  return [(0, _configEnvVariables.configEnvVariables)(options), (0, _configCopyPublicFolders.configCopyPublicFolders)(options), (0, _configIgnorePlugin.configIgnorePlugin)(options), (0, _configMiniCSSExtractPlugin.configMiniCSSExtractPlugin)(options), (0, _configSelectorWeightPlugin.configSelectorWeightPlugin)(options), (0, _configVariableConversionPlugin.configVariableConversionPlugin)(options), (0, _configI18nSplitPlugin.configI18nSplitPlugin)(options), (0, _configRtlCssPlugin.configRtlCssPlugin)(options), (0, _configHtmlWebpackPlugin.configHtmlWebpackPlugin)(options), (0, _configCdnChangePlugin.configCdnChangePlugin)(options), (0, _configServiceWorkerPlugin.configServiceWorkerPlugin)(options), (0, _configEFCTemplatePlugin.configEFCTemplatePlugin)(options), (0, _configResourceHintsPlugin.configResourceHintsPlugin)(options), (0, _configBundleAnalyzer.configBundleAnalyzer)(options), (0, _configManifestJsonPlugin.configManifestJsonPlugin)(options), (0, _configSourceMapPlugin.configSourceMapPlugin)(options), (0, _configProgressPlugin.configProgressPlugin)(options), ...webpackPlugins].filter(Boolean);
}